Bug 396586 - Icon theme preview shows huge icons when specific icon themes are selected
Summary: Icon theme preview shows huge icons when specific icon themes are selected
Status: RESOLVED FIXED
Alias: None
Product: kde-gtk-config
Classification: Plasma
Component: general (show other bugs)
Version: 5.15.2
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Manuel Tortosa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-17 00:56 UTC by Patrick Silva
Modified: 2019-03-12 13:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.15.3


Attachments
screenshot (274.38 KB, image/png)
2018-07-17 00:56 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-07-17 00:56:45 UTC
Created attachment 113978 [details]
screenshot

I installed flat remix 1.52 icon theme from the kde store.
When I select it in kde-gtk-config, icon theme preview
show distorted icons as you can see in my screenshot.
Comment 1 Patrick Silva 2018-11-16 20:49:32 UTC
Oranchelo icon theme from kde store is also affected.
Comment 2 Aleix Pol 2019-03-05 01:30:00 UTC
Git commit 301497fb33177ac305a7621a98de867dbb649074 by Aleix Pol.
Committed on 05/03/2019 at 01:27.
Pushed by apol into branch 'Plasma/5.15'.

Explicitly render svgs into images that are the right size

M  +2    -2    CMakeLists.txt
M  +30   -19   src/gtkconfigkcmodule.cpp

https://commits.kde.org/kde-gtk-config/301497fb33177ac305a7621a98de867dbb649074